Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

13 Feb 1997 20:38:20 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Geoffrey Noer <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Geoffrey Noer wrote:

> For the record, before we accept any significant changes to the library, we
> have to get a form which assigns the copyright ownership to Cygnus.  If I
> remember correctly, it leaves the writer with quite a few rights with
> respect to always being able to use the code for their own purposes, but
> guarantees that Cygnus can modify it and won't be sued for using it.
> Since Cygnus becomes the owner of the code, we can and will sell it under a
> proprietary license.  (Let me know if you want a copy).

Yes, I'd like a copy.

> If you cannot stand the thought of Cygnus making money from companies
> who want to use the library in non-free software, you are always free to
> maintain and distribute your own version of the GPL'd sources but I hope
> you will choose to contribute the changes.

The issue is that Cygnus and their customers are the *only* ones who can
use my patches in a proprietary fashion.  I am reluctant to give up
my ownership under those circumstances. 

> Certainly much of the code could use some rewriting.  Certainly there's
> still a lot of work to be done with respect to completeness.  If marketing
> folks are right and Cygnus makes money off the library, we engineers will
> be able to spend more time on making things better.

I just want to point out that this turns Cygnus into a pretty ordinary
commercial developer.  In the ideal "free software" world, all software
is free and programmers can share their tools.  In the real
world, the FSF realized that many companies are not willing to make
their software free, so for programmers to be able to use others'
tools, they had to be given the right (under the LGPL) to use those
tools to build proprietary software.  Cygnus is now saying that, to use
their tools (to build proprietary software, which is what most
programmers do for a living), they must pay Cygnus to do so.  Cygnus is
now saying that because Cygnus policy is now driven by "marketing
folks".  A fact of life, perhaps, but a deviation from the FSF's
premise and Cygnus' origins.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".